Skip to main content
GET
/
api
/
campaigns
/
usage-calendar
Get per-date SMS usage and campaign breakdown
curl --request GET \
  --url https://your-instance.example.com/api/campaigns/usage-calendar \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "timezone": "America/Toronto",
    "dailyLimit": 500,
    "isUnlimited": false,
    "plan": "growth",
    "dates": {
      "2026-05-20": {
        "sent": 0,
        "reserved": 100,
        "total": 100,
        "availableQuota": 400,
        "campaigns": [
          {
            "campaignId": "665f1a0c0e0a4b001a2c9f10",
            "campaignName": "Q2 Lead Gen",
            "contactCount": 100,
            "status": "scheduled"
          }
        ]
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tetherai.ca/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string<date>
required

Inclusive start date (YYYY-MM-DD, org-local timezone).

to
string<date>
required

Inclusive end date (YYYY-MM-DD, org-local timezone).

Response

Usage calendar returned

success
boolean
required
data
object
required